Debian Bug report logs - #532052
libsoup2.4-1: please add GSS-Negotiate support

version graph

Package: libsoup2.4-1; Maintainer for libsoup2.4-1 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libsoup2.4-1 is src:libsoup2.4.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sat, 6 Jun 2009 02:27:02 UTC

Severity: wishlist

Found in version libsoup2.4/2.26.2-1

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=587145

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#532052; Package libsoup2.4-1. (Sat, 06 Jun 2009 02:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 06 Jun 2009 02:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsoup2.4-1: please add GSS-Negotiate support
Date: Sat, 6 Jun 2009 02:23:06 +0000
[Message part 1 (text/plain, inline)]
Package: libsoup2.4-1
Version: 2.26.2-1
Severity: wishlist

I run a web server that uses Negotiate (Kerberos 5) for authentication.
libsoup2.4-1 does not support this, and so epiphany-webkit does not work
where epiphany-gecko does.

Similar support is present in libneon and libcurl; it would be great if
support could be added to libsoup.

If a Debian developer needs a Kerberos 5 account and server to test
against, let me know and I'll make it happen.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-rc7-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libsoup2.4-1 depends on:
ii  libc6                       2.9-13       GNU C Library: Shared libraries
ii  libgcrypt11                 1.4.4-2      LGPL Crypto library - runtime libr
ii  libglib2.0-0                2.20.3-1     The GLib library of C routines
ii  libgnutls26                 2.6.6-1      the GNU TLS library - runtime libr
ii  libxml2                     2.7.3.dfsg-1 GNOME XML library

libsoup2.4-1 recommends no packages.

libsoup2.4-1 suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#532052; Package libsoup2.4-1. (Sun, 07 Jun 2009 07:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 532052@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 07 Jun 2009 07:27:02 GMT) Full text and rfc822 format available.

Message #10 received at 532052@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 532052@bugs.debian.org
Subject: Re: Bug#532052: libsoup2.4-1: please add GSS-Negotiate support
Date: Sun, 07 Jun 2009 09:25:33 +0200
[Message part 1 (text/plain, inline)]
Le samedi 06 juin 2009 à 02:23 +0000, brian m. carlson a écrit :
> I run a web server that uses Negotiate (Kerberos 5) for authentication.
> libsoup2.4-1 does not support this, and so epiphany-webkit does not work
> where epiphany-gecko does.
> 
> Similar support is present in libneon and libcurl; it would be great if
> support could be added to libsoup.
> 
> If a Debian developer needs a Kerberos 5 account and server to test
> against, let me know and I'll make it happen.

It is not the role of Debian developers to patch in things as complex as
a new authentication scheme. Could you please see this with upstream?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#532052; Package libsoup2.4-1. (Sun, 07 Jun 2009 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 07 Jun 2009 13:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 532052@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 532052@bugs.debian.org
Subject: Re: Bug#532052: libsoup2.4-1: please add GSS-Negotiate support
Date: Sun, 7 Jun 2009 13:50:37 +0000
[Message part 1 (text/plain, inline)]
On Sun, Jun 07, 2009 at 09:25:33AM +0200, Josselin Mouette wrote:
> It is not the role of Debian developers to patch in things as complex as
> a new authentication scheme. Could you please see this with upstream?

I don't mind you forwarding it upstream; please do.  Nevertheless, I
don't generally grant accounts to random people that I don't know, so
unless upstream is also a DD, they'll have to find their own
Kerberos-using system to test against.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=587145. Request was from Emilio Pozuelo Monfort <pochu@ubuntu.com> to control@bugs.debian.org. (Sat, 27 Jun 2009 17:42:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:23:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.